Name:           php-magpierss
Version:        0.72 
Release:        5%{?dist}
Summary:        MagpieRSS is an RSS parser written in PHP

Group:         Development/Libraries
License:       GPLv2+ 
URL:           http://magpierss.sourceforge.net/ 
Source0:       http://superb-east.dl.sourceforge.net/sourceforge/magpierss/magpierss-%{version}.tar.gz 
# Email sent to upstream asking them to include License in upstream package (Jan 30, 2007)
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      php 

%description
MagpieRSS is a set of php files designed to parse RSS
XML for usage in PHP code.  MagpieRSS is compatible with 
RSS 0.9 through RSS 1.0.
 

%prep
%setup -q -n magpierss-%{version}
chmod 644 scripts/*.php
%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/php/magpierss
install -p -m644 rss_cache.inc $RPM_BUILD_ROOT%{_datadir}/php/magpierss
install -p -m644 rss_fetch.inc $RPM_BUILD_ROOT%{_datadir}/php/magpierss
install -p -m644 rss_parse.inc $RPM_BUILD_ROOT%{_datadir}/php/magpierss
install -p -m644 rss_utils.inc $RPM_BUILD_ROOT%{_datadir}/php/magpierss
cp -rp extlib $RPM_BUILD_ROOT%{_datadir}/php/magpierss

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog CHANGES INSTALL NEWS README TROUBLESHOOTING cookbook htdocs scripts/
%{_datadir}/php/magpierss/


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.72-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 14 2008 Michael Stahnke <mastahnke@gmail.com> - 0.72-4
- License Update

* Thu May 10 2007 Michael Stahnke <mastahnke@gmail.com> - 0.72-3
- Fixed minor issues in review bug [bug #225434]

* Tue Jan 30 2007 Michael Stahnke <mastahnke@gmail.com> - 0.72-2
- Changed install path to /usr/share/php/magpierss [bug #225434]

* Tue Jan 30 2007 Michael Stahnke <mastahnke@gmail.com> - 0.72-1
- Initial packaging
